Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6308 - invalid parameter io when installing 3c509 card
Summary: invalid parameter io when installing 3c509 card
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-24 16:11 UTC by sundog32
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 19:30:14 UTC


Attachments (Terms of Use)

Description sundog32 1999-10-24 16:11:34 UTC
This is a multi issue problem.autoprobe did not find my
3c509 card in my machine so I could not configure it from
install.

config mode to manual
and the enable toggle is set
I set io port at 0x300
irq at 5
name as lupis02.interesect.com
alias as lupis02
IP address 192.168.1.1
netmask = 255.255.255.0
net device to eth0
kernal module 3c509


I then completed the install and used linux to add it as
eth0 in as adapter 1 in the hosts section of networking.

when I reboot I get a message in the log that there was an
error from /lib/modules/2.2.5.-15/net/3c509.o invalid
parameter io

if I remove the configuration from adapter 1 and issue  a
modprobe 3c509
then a modprobe 3c509 io=300 irq=5
and then ifconfig eth0 192.168.1.1 netmask 255.255.255.0
broadcast 192.168.1.255
then connection works and comes up.

I get a similar problem if I do it through control-panel

when I look in then kernal daeomn configuration in control
panel I see entries for 3c509 and for eth0 when I install
from linuxconfig.

when I do it manually I only see an entry for eth0

lsmod shows 3c509 being loaded after a manual configuration.

ifconfig shows eth0 as being correct after the manual
install as well.

As a result I suspect that there may be a bug in linuxconf
in setting the io parameter for 3c509

Comment 1 Michael K. Johnson 1999-11-22 18:57:59 UTC
Can you please post the conf.modules file that is being created for you?

Comment 2 Brent Fox 2002-06-05 04:43:06 UTC
Closing because we don't ship linuxconf anymore.


Note You need to log in before you can comment on or make changes to this bug.